import { Credential } from './Credential';

export interface SNMPCredential extends Credential {
  version?: string;
  vommunity?: string;
  authenticationType?: string;
  user?: string;
  password?: string;
  encryptionType?: string;
  dataEncryptionKey?: string;
  contextName?: string;
  port?: number;
  timeout?: number;
}
